Bug 444970 - qpid-route allows to add a route to itself
qpid-route allows to add a route to itself
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Ted Ross
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 09:55 EDT by Rajith Attapattu
Modified: 2011-08-12 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2008-05-02 09:55:33 EDT
The current qpid route allows the following which is a bug.
qpid-route add localhost:5673 localhost:5672 amq.direct myqueue

This should be prevented with an appropriate error message.
Comment 1 Rajith Attapattu 2008-05-16 10:30:21 EDT
Correction: The example given should be as 
qpid-route add localhost:5672 localhost:5672 amq.direct myqueue
Comment 2 Mike Bonnet 2008-06-19 23:51:14 EDT
cumin-0.1.2155-1.el5, qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and python-qpid-0.2.668378-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.